Subject: Re: bug#23590: 25.0.94; Errors in default lgrep command

From: John Mastro <[email-masked]>
Date: Sat, 23 Jul 2016 10:23:20 -0700

Eli Zaretskii <[email-masked]> wrote:
>> Emacs invokes whichever shell is the value of the user's SHELL
>> environment variable.
>
> Then maybe we should change that.

Do you mean for `lgrep' specifically or at a lower level? To be honest,
I don't have a good enough feel for the implications to have a strong
opinion.

This is admittedly an anecdote but, having used zsh as my SHELL (and
`shell-file-name') for several years, this scenario with `lgrep' and the
"all" alias is the only time I've run into a problem.

        John